/*  Canon Bubble Jet Print Filter.
 *  Copyright CANON INC. 2001
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define STGET_INTERVAL  5
#define MAX_DATA        (64*1024)

#define SM_COM_PORT	19999
#define STMON_PATH	"/usr/local/bin/stsmon"
#define ARGV_MAX        16
#define PARPORT_NFAULT	0x0008
#define PARPORT_NBSY    0x0080
#define SM_SOCK		2

int get_printer_sem(int);
int release_printer_sem(int);
int do_printer_reset(int);
int get_printer_status(int, char *, int *);
int get_printer_devid(void);
int signal_setup(int, void (*func)());
int remove_sem(int);
int lm_init(int);
int check_arg(int, char **);
int status_to_sm(int, int);
int free_arg(void);
int force_sleep(int);
#ifdef DEBUG
void create_log(void);
void write_log(char *);
#endif

