/*  Canon Bubble Jet Print Filter.
 *  Copyright CANON INC. 2001
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define SM_SHOW_TIMEOUT_ms	1000

#define SM_INIT_BJF850	"SSR=BST,SFA,PID,CHD,CIL,LVR,MID,HCU,DBS,DWS,DOC,DSC,DJS;"
#define SM_COMBUF_SIZ	128

#define ICON_INK_GAP	20
#define ICON_Y		(-18)
#define ICON_X		(+4)
#define X_BK		(17*0)
#define X_Y	  	(17*5)
#define X_M  		(17*4)
#define X_C 		(17*3)
#define X_PM		(17*2)
#define X_PC		(17*1)
#define INK_X  		(+7)
#define INK_Y  		(+8)

#define DSC_USEDTANK_FULL	"5B00"

#define DBS_CLEANING		"CL"
#define DBS_CARTRIDGE_CHANGE	"CC"
#define DBS_TEST_PRINT		"TP"
#define DBS_PRINTER_USED	"DS"
#define DBS_ENDING		"SL"

#define STS_NO			"NO"
#define STS_UNKOWN		"UK"

#define DOC_PAPER_OUT		"1000"
#define DOC_PAPER_JAM		"1300"
#define DOC_CARTRIDGE_NOTHING	"1401"
#define DOC_SCANNER_DETECT	"1440"
#define DOC_UNSUPORTED_CHD	"1485"
#define DOC_INKOUT_PRE		"16"
#define DOC_INKOUT_BLACK	"1601"
#define DOC_INKOUT_YELLOW	"1611"
#define DOC_INKOUT_MAGENTA	"1612"
#define DOC_INKOUT_CYAN		"1613"
#define DOC_INKOUT_PHOTO_M	"1634"
#define DOC_INKOUT_PHOTO_C	"1635"
#define DOC_COVER_OPEN		"1200"
#define DOC_USEDTANK_ALMOST	"1700"

#define DWS_INKLOW_PRE		"15"
#define DWS_INKLOW_BLACK	"1501"
#define DWS_INKLOW_YELLOW	"1511"
#define DWS_INKLOW_MAGENTA	"1512"
#define DWS_INKLOW_CYAN		"1513"
#define DWS_INKLOW_PHOTO_M	"1534"
#define DWS_INKLOW_PHOTO_C	"1535"


#define DOC_CARTRIDGE_NOTHING2	"1400"

#define CHD_STAT_PH		1
#define CHD_STAT_CL		2
#define CHD_STAT_BK		3
#define CHD_CNT			3	// Pho,Col,Blk

#define CHD_BC_50		1	// BC-50
#define CHD_BC_33		2	// BC-33
#define CHD_BC_30		3	// BC-30
#define CHD_BC_34		4	// BC-34
#define CHD_BC_3031		5	// BC-30+BC-31
#define CHD_BC_3231		6	// BC-32+BC-31
#define CHD_BC_SC31		7	// SCN+BC-31
#define CHD_BC_SC		8	// SCN
#define CHD_CNT2		8	// 

#define CHD_X_MAX		120	// by F660
#define CHD_Y_MAX		66	// common (chd + icon)
#define CHD_AREA_MAX		10
#define CHD_Y_OFF		18

#define CHD_PHOTO_BJ		"LS"
#define CHD_SCANNER		"SC"
#define CHD_UNSUPORT		"NS"

#define CHD_PHOTO_VL		"VL"	
#define CHD_COLOR_VC		"VC"
#define CHD_COLOR_CL		"CL"
#define CHD_BLACK_BK		"BK"
#define CHD_VL_OFF		20	
#define CHD_VC_OFF	 	15
#define CHD_BK_OFF		25

#define MODEL_F850		0
#define MODEL_F860		1
#define MODEL_F870		2
#define MODEL_F360		3
#define MODEL_S600		4
#define MODEL_S630		5
#define MODEL_S6300		6
#define MODEL_CNT		7

#define INK_OUT			1
#define INK_LOW			0

#define BACK_GREEN		0
#define BACK_BLACK		1

#define I_el			1
#define I_er			2
#define I_pb			3
#define I_bk			4
#define I_bb			5
#define I_pm			6
#define I_pc			7
#define I_cy			8
#define I_ma			9
#define I_ye			10
#define I_sp			11
#define I_sc			12
#define INK_CNT			12

struct	pr_t	{
	char	pr_name[10];	// Printer Name
	short	back_pat;	// Back Pattern Green/Black
};

struct  pat_t	{
	short	pat_no;			// color no.
	char	p_x;			// x posi.
};
